// Export preset
module.exports = preset({});

// Backward compatibility
Object.defineProperty(module.exports, "buildPreset", {
	configurable: true,
	writable: true,
	enumerable: false,
	value: preset,
});

// Preset plugin
function preset( context, opts ) {
	var react    = require( 'babel-preset-react' );
	var oldReact = require( "babel-plugin-transform-react-jsx" );
	var newReact = require( "babel-plugin-transform-react-extended" );
	
	// Change old react to new react extended plugin
	var hasChanged = false;
	var plugins = react.plugins.map(function( item ) {
		if ( item === oldReact ) {
			hasChanged = true;
			return [ newReact, opts ];
		}
		return item;
	});
	if ( !hasChanged )
		plugins.unshift([ newReact, opts ]);
	return {
		plugins: plugins,
		presets: react.presets
	};
}
